package de.unikassel.ir.vsr;

import java.util.Map;
import java.util.Vector;

public interface PhraseSearch {
	
	
	/**
	 * Sucht nach einer Phrase, die Phrase wird als Vector von Termen übergeben, z. B.
	 * [world, market, leader]. Liefert eine Map von Dokumenten auf Listen von 
	 * Positionen mit Fundstellen, oder eine leere Map. Numerierung der Fundstellen
	 * ab 0!  
	 * 
	 * @param phrase die Phrase als ein String
	 * @return Map von Dokumenten auf Fundstellen
	 */
	public Map<Document, Vector<Integer>> searchPhrase(Vector<String> phrase);
	
	/**
	 * Sucht nach einer Phrase, die Phrase wird als ein String übergeben, z. B.
	 * "world market leader". Liefert eine Map von Dokumenten auf Listen von 
	 * Positionen mit Fundstellen, oder eine leere Map. Numerierung der Fundstellen
	 * ab 0!  
	 * 
	 * @param phrase die Phrase als ein String
	 * @return Map von Dokumenten auf Fundstellen
	 */
	public Map<Document, Vector<Integer>> searchPhrase(String phrase);

}
